package model;

/**
 * All user preferences are to be serialised in this class
 */
public class Session {

    private User user;//this is like fwy13
    DataManager dataManager;
    public static Session session = new Session();

    public Session(){
        session = this;
        dataManager = new DataManager();
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public DataManager getDataManager() {
        return dataManager;
    }

    public void setDataManager(DataManager dataManager) {
        this.dataManager = dataManager;
    }
}
